%define dist .el5

#
# Copyright (c) 2006 Mellanox Technologies. All rights reserved.
#
# This Software is licensed under one of the following licenses:
#
# 3) under the terms of the "GNU General Public License (GPL) Version 2" a
#    copy of which is available from the Open Source Initiative, see
#    http://www.opensource.org/licenses/gpl-license.php.
#
# Redistributions of source code must retain the above copyright
# notice and one of the license notices.
#
# Redistributions in binary form must reproduce both the above copyright
# notice, one of the license notices in the documentation
# and/or other materials provided with the distribution.
#
#
#  $Id: ibutils.spec.in 7656 2006-06-04 09:38:34Z vlad $
#

Summary: OpenIB Mellanox InfiniBand Diagnostic Tools
Name: ibutils
Version: 1.0
Release: 3%{?dist}.XOS.1
License: GPL/BSD
Url: http://openib.org/
Group: System Environment/Libraries
Source: http://openib.org/downloads/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: tcl, swig
BuildRequires: libibverbs-devel, opensm-devel >= 1.2.0-2, tcl-devel, swig
ExclusiveArch: i386 x86_64 ppc ia64
%description 
ibutils provides IB network and path diagnostics.

%package libs
Summary: Shared libraries used by ibutils binaries
Group: System Environment/Libraries
Requires: ibutils = %{version}-%{release}
%description libs
Shared libraries used by the Mellanox Infiniband diagnostic utilities

%package devel
Summary: Development files to use the ibutils shared libraries
Group: System Environment/Libraries
Requires: ibutils = %{version}-%{release}
%description devel
Headers and static libraries needed to develop applications that use
the Mellanox Infiniband diagnostic utilities libraries

%prep
%setup -q
%configure --with-osm=%{_prefix}

%build
make %{?_smp_mflags}

%install
[ ! -z "$RPM_BUILD_ROOT" ] && rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la | xargs rm

%clean
[ ! -z "$RPM_BUILD_ROOT" ] && rm -fr $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/ibis
%{_bindir}/ibdmsh
%{_bindir}/ibtopodiff
%{_bindir}/ibnlparse
%{_bindir}/ibdmtr
%{_bindir}/ibdmchk
%{_bindir}/ibdiagnet
%{_bindir}/ibdiagpath
#%{_bindir}/mkSimNodeDir
#%{_bindir}/ibmssh
#%{_bindir}/ibmsquit
#%{_bindir}/RunSimTest
#%{_bindir}/IBMgtSim
#%{_datadir}/ibmgtsim
%{_mandir}/*/*

%files libs
%defattr(-,root,root)
%{_libdir}/libibdmcom.so.*
%{_libdir}/libibdm.so.*
#%{_libdir}/libibmscli.so.*
%{_libdir}/ibis1.0
%{_libdir}/ibdm1.0
%{_libdir}/ibdiagnet1.0
%{_libdir}/ibdiagpath1.0

%files devel
%defattr(-,root,root)
%{_libdir}/libibdmcom.so
%{_libdir}/libibdm.so
#%{_libdir}/libibmscli.so
%{_libdir}/libibdmcom.a
%{_libdir}/libibdm.a
#%{_libdir}/libibmscli.a
%{_includedir}/ibdm
#%{_includedir}/ibmgtsim

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.0-3.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on ibutils-1.0-3.el5.src.rpm
  (md5sum of original source rpm: 94962c3f1bb66eb1f2edf531cf9b26b9).
- Include "dist" macro with value ".el5" to match the original release number.

* Wed Oct 25 2006 Tim Powers <timp@redhat.com> - 1.0-3
- rebuild against openib package set due to soname change

* Fri Oct 20 2006 Doug Ledford <dledford@redhat.com>
- Bump and rebuild against latest openib packages
- Disable ibmgtsim until I can figure out why it's failing to wrap a
  perfectly existent library function (I hate c++)

* Mon Jul 31 2006 Doug Ledford <dledford@redhat.com> 1.0-2
- Make spec file name convention/multilib compliant
- Move all the files to FHS compliant locations for a distributor

* Tue May 16 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added ibutils sh, csh and conf to update environment

* Sun Apr  2 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Initial packaging for openib gen2 stack
